#!/bin/bash
PSGWRKDIR=`pwd`
cd ..
rm -rf buildroot
git clone https://github.com/buildroot/buildroot.git
cd buildroot
git checkout 2023.02.x
#==== Patches
for i in ../PSG/patches/*.patch
do
        echo "==Apply patch : <$i> =="
        patch -p1 < $i
        git add .
	git commit -m "PSG Patch :<$i> =="

done
#----
chmod a+x *.sh
cp ../PSG/configs/* ./configs
git add .
git commit -m "PSG wrk changes and setup"
make  BR2_EXTERNAL=../PSG iot2050_V2_defconfig
cd $PSGWRKDIR
